scala.tools.nsc.ast.parser

# BracePatch

#### case class BracePatch(off: Int, inserted: Boolean) extends Patch with Product with Serializable

A patch that postulates that a brace needs to be inserted or deleted at a given position.

off

  The offset where the brace needs to be inserted or deleted

inserted

  If true, brace needs to be inserted, otherwise brace needs to be deleted.

Source
  BracePatch.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Patch, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BracePatch
2. Serializable
3. Serializable
4. Product
5. Equals
6. Patch
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BracePatch(off: Int, inserted: Boolean)

   off

     The offset where the brace needs to be inserted or deleted

   inserted

     If true, brace needs to be inserted, otherwise brace needs to be deleted.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BracePatch to any2stringadd[BracePatch] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (BracePatch, B)

   Implicit information
     This member is added by an implicit conversion from BracePatch to ArrowAssoc[BracePatch] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (BracePatch) ⇒ Boolean, msg: ⇒ Any): BracePatch

   Implicit information
     This member is added by an implicit conversion from BracePatch to Ensuring[BracePatch] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (BracePatch) ⇒ Boolean): BracePatch

   Implicit information
     This member is added by an implicit conversion from BracePatch to Ensuring[BracePatch] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): BracePatch

    Implicit information
      This member is added by an implicit conversion from BracePatch to Ensuring[BracePatch] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): BracePatch

    Implicit information
      This member is added by an implicit conversion from BracePatch to Ensuring[BracePatch] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from BracePatch to StringFormat[BracePatch] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val inserted: Boolean

    If true, brace needs to be inserted, otherwise brace needs to be deleted.

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val off: Int

    The offset where the brace needs to be inserted or deleted

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### def →[B](y: B): (BracePatch, B)

    Implicit information
      This member is added by an implicit conversion from BracePatch to ArrowAssoc[BracePatch] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Patch

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BracePatch to any2stringadd[BracePatch]

### Inherited by implicit conversion StringFormat from BracePatch to StringFormat[BracePatch]

### Inherited by implicit conversion Ensuring from BracePatch to Ensuring[BracePatch]

### Inherited by implicit conversion ArrowAssoc from BracePatch to ArrowAssoc[BracePatch]

### Ungrouped